Skip to content

List invoices

GET
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/invoices

List all invoices with pagination and filtering.

page
Page
integer
default: 1 >= 1
page_size
Page Size
integer
default: 20 >= 1 <= 100
status
Any of:
string
payment_status
Any of:
string
supplier_id
Any of:
string
customer_id
Any of:
string
search
Any of:
string

Search by invoice number, IRN, or party name

sort_by
Any of:
string
sort_order
Any of:
string
/^(asc|desc)$/
direction
Any of:
string

Filter by direction (outbound/inbound)

invoice_type_code
Any of:
string

Filter by invoice type code (e.g. 380, 381, 384)

X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string

Successful Response

Examples

Invoice list response

{
"items": [
{
"id": "f3df2967-7cbe-4cca-8c8c-975ee2f6857f",
"irn": "ZTX-INV-2026-0001",
"issue_date": "2026-02-11",
"document_currency_code": "NGN",
"status": "VALIDATED",
"payable_amount": "235000.00"
}
],
"total": 1,
"page": 1,
"page_size": 50
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}